Create
cancel
Showing results for 
Search instead for 
Did you mean: 
Sign up Log in
Celebration

Earn badges and make progress

You're on your way to the next level! Join the Kudos program to earn points and save your progress.

Deleted user Avatar
Deleted user

Level 1: Seed

25 / 150 points

Next: Root

Avatar

1 badge earned

Collect

Participate in fun challenges

Challenges come and go, but your rewards stay with you. Do more to earn more!

Challenges
Coins

Gift kudos to your peers

What goes around comes around! Share the love by gifting kudos to your peers.

Recognition
Ribbon

Rise up in the ranks

Keep earning points to reach the top of the leaderboard. It resets every quarter so you always have a chance!

Leaderboard

Come for the products,
stay for the community

The Atlassian Community can help you and your team get more value out of Atlassian products and practices.

Atlassian Community about banner
4,456,254
Community Members
 
Community Events
176
Community Groups

Confluence 8 broken by incompatible add-ons

I installed confluence server 8.0.1 on my ubuntu server (20.04) and all has been fine until this update. Some of the apps were marked as not compatible, typically not a problem. This time though it shuts down confluence and it's unusable. I had to find the command line to launch confluence with all non system plugins disabled.

I would like to see Atlassian code this better so add-ons don't break the main app. An app should be marked as not compatible and skipped but instead add-ons are not allowing confluence to run at all.

Hopefully Atlassian can fix this behavior in an update soon so I can get confluence running properly and eventually get non compat add-ons updated.

1 comment

Rilwan Ahmed Community Leader Dec 19, 2022

Hi @Neal Culiner ,

1. It is always suggested to try the upgrade process in your test server with your test server having the data synced from the production. This will help you find out any issues during upgrade, startup or later etc. 

2. When a plugin is marked incompatible, you should either upgrade them to compatible latest versions prior to the upgrade or atleast disable or remove them before upgrade process. 

And regarding the suggestion, you can raise it here https://jira.atlassian.com/secure/Dashboard.jspa 

Here is the upgrade notes from Atlassian https://confluence.atlassian.com/doc/confluence-8-0-upgrade-notes-1127254403.html

Like Aron Gombas _Midori_ likes this

I fully understand but if the product was coded properly it wouldn't crash from incompatible add-ons.

Rilwan Ahmed Community Leader Dec 20, 2022

Hi @Neal Culiner ,

There will be changes to functionalities when there are upgrades. That is the reason apps also will be upgraded and you should check the compatible versions  in https://marketplace.atlassian.com/

Please note: Apps are not only developed by Atlassian, they are developed by Atlassian  Marketplace partners also.

If there is any issue with any apps, you should contact the vendor. 

Can you tell us which app and version had issues after upgrade ?

Comment

Log in or Sign up to comment
TAGS

Atlassian Community Events